Home Wiki > Portal:Tumbleweed
Sign up | Login

2017年2月6日 (一) 17:15Wsxy162讨论 | 贡献的版本

(差异) ←上一版本 | 最后版本 (差异) | 下一版本→ (差异)

Portal:Tumbleweed

tagline: 来自openSUSE

Thumbleweed 专题 edit

tumbleweed

Tumbleweed 项目是一个“滚动升级”的 openSUSE 版本,俗称“风滚草”。滚动升级的版本不像 openSUSE 的常规版本(Leap) 那样受限于版本开发周期,可以始终使用最新稳定版本的全部软件。该项目适合想使用最新的、稳定的软件的 openSUSE 用户。

Tumbleweed 版本基于 Factory。Tumbleweed 版本虽然很新,但所含的软件包都是稳定的,它是一个可以日常使用的版本。

滚动升级这个想法已在邮件列表里讨论了很长一段时间,现在 Greg Kroah-Hartman 将其付诸了行动。当时的 Tumbleweed 项目公告可以见,但是当时 Tumbleweed 不是完整的一个发行版而只是一个常规发行版的“附加产品”,从2014年开始,Tumbleweed 和 Factory 合并成为了现在的 Tumbleweed。

主题 edit

Icon-user.png

谁最该来尝试 Tumbleweed

  • 任何想使用最新的软件包的用户,包括新的 Linux 内核、SAMBA 和 Git 等等。另外Packman 源在 Tumbleweed 中也是可用的。由于是滚动升级,所以没有具体的针对不同版本的供应源。这也意味着如果您使用了 Tumbleweed,您将不需再升级到新的版本,因为您已经在用最新的版本了。

谁应该使用 Leap 而不是 Tumbleweed

虽说 Tumbleweed 算是相当的稳定,但是也有可能会出现问题。不是所有的人都适合用 Tumbleweed。如果你:

  • 不希望频繁更新软件包。
  • 不想关注 Tumbleweed 每天都更新了什么。
  • 更想要一个稳定的系统,而不是一个可能出现问题的系统。
  • 担心自己的驱动会失效或是担心系统容易出现问题:由于 Linux 内核升级频繁,不推荐使用独立显卡驱动程序的用户使用 Tumbleweed 供应源,除非有能力自己从源代码升级驱动。若您十分感兴趣,试试也不妨,NvidiaATI 中的章节有些相关的介绍。
  • 担心当系统真的出现问题时自己不会解决。
  • 担心 Tumbleweed 的维护力度没有 Leap 的大。
  • 不喜欢 Tumbleweed 或是不喜欢滚动更新的发行版。

那么我将建议你使用 openSUSE 的常规版本(Leap)。

Icon-package.png

如何尝试 Tumbleweed

你可以看看安装指南

特别关注

  • 虚拟机

openSUSE 11.4 支持 VirtualBox。由于她不在主线内核并且Tumbleweed定期接收内核更新,所以她已经决定在主Tumbleweed源中不再支持VirtualBox。

Tumbleweed 支持vmware以及hyper-v 虚拟机架构。

这是因为他们存在于主要的上游内核中并且需要不是特别大的额外的资源使每个内核更新变得可用。

  • 第三方驱动

如果你有第三方的内核模块,例如NVidia的闭源驱动,Greg KH (Tumbleweed 的主要维护者) 强烈建议你不要使用 Tumbleweed。

Icon-internet.png

如何参与

  • 您可以测试 Tumbleweed 供应源,然后向 openSUSE Factory 邮件列表反馈意见、分享经验或报告问题。如果您不清楚如何使用邮件列表,请参阅此文
  • 如果您是软件包编译者,您可以提交提交软件包到 openSUSE:Tumbleweed 供应源。就目前而言:
    • 您可以使用 openSUSE Factory 邮件列表来提供软件包。
    • 为其他项目所接纳的一般的软件包里的(规则)也可以为 Tumbleweed 所接纳。这里的规则与其他的供应源一样,取决于维护者的决定。
Icon-question.png

常见问题

常见问题 寻求帮助

对于 openSUSE 来说,

  • 论坛也是一个好去处,你可以查看 论坛列表,或者自己寻找。
  • 善用搜索,无论是 Wiki 还是论坛,搜索是无处不在的。

祝你好运!

发布版本 edit

当前版本:

仍在维护的版本:

常见问题 edit

什么类型的软件包应该在 Tumbleweed 中更新?

你想看到哪些被更新?严格的讲,这是一个任何人都可以请求他们的软件包被更新的事情。我们会将那些软件包维护者认为稳定的版本放进 Tumbleweed。

这对那些不总是使他们的释出日期跟已存在的openSUSE释出版看齐有所帮助。举例来说,自openSUSE 11.4发行版之后,GNOME 3.0 对于 Tumbleweed 用户就可用了。

新闻报道 edit

Icon-news.png